CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

This module leverages the Date Augmenter API to allow content to be associated
with Individual values in a multivalued or recurring date field. Although
designed to work with Smart Date, this functionality can be used with any field
supported by a compatible date formatter, which includes core date fields.

The module provides a new entity type, Date Content, for which a site can create
one or more bundles. If a site has more than one Date Content bundle defined, in
the formatter's display configuration you can choose which bundle(s) can be used
with any date field. With your Date Content bundles, you can directly attach
content fields (to support simple use cases) or attach entity reference fields
(to build out more complex functionality).


INSTALLATION
------------

 * Install this module as you would normally install a contributed Drupal
   module. Visit https://www.drupal.org/node/1897420 for further information.


REQUIREMENTS
------------

This module requires the Date Augmenter module, and a compatible formatter.


CONFIGURATION
-------------

 * The module creates an initial Date Content bundle called Session, to allow
   it to be used immediately after being installed. You can edit the fields at
   /admin/structure/date_content_types/session/edit/fields
 * If you prefer, you can delete the Session bundle and create a new Date
   Content type at /admin/structure/date_content_types/add and add whatever
   fields you need
 * In your date formatter, enable the Content augmenter
 * Configure how you want the forms for adding, editing, or deleting content to
   be linked: on a separate page (default), in the settings tray, or in a modal.
 * If using the settings tray or a modal, you can also configure the width

MAINTAINERS
-----------

 * Current Maintainer: Martin Anderson-Clutz (mandclu) - https://www.drupal.org/u/mandclu
